function crossdomainCallback(event) {
  event.data.stepFORM && setHash(event.data.hash);
}

function getHash() {
  var lang = stepFORMPlugin.thisLang;
  window.open('https://stepform.io/dev/integration?lang='+lang+'&cms=joomla', 'getHash', "width=550, height=550, top=" + ((screen.height - 550) / 2) + ',left=' + ((screen.width - 550) / 2));
}

function setHash(hash) {
  document.getElementById("jform_params_stepFORM_key").value = hash;
  Joomla.submitbutton('plugin.apply');
}

function delHash() {
  document.getElementById("jform_params_stepFORM_key").value = "";
  Joomla.submitbutton('plugin.apply');
}

function hideById(id) {
  document.getElementById(id).style.display = 'none';
}

function getConnect() {
  return stepFORMPlugin.lang.PLG_STEPFORM_DESC_CONNECT;
}

function toggleAnswer() {
  var question =  document.getElementsByClassName("stepFORM-question");
  var answer =  document.getElementsByClassName("stepFORM-answer");

  for (let i = 0; i < question.length; i++) {
    question[i].addEventListener("click", function() {
      answer[i].classList.toggle("show");
    });
  }
}

function getInstruction() {
  return '<div class="stepFORM-settings">'
  + '<h1>'+ stepFORMPlugin.lang.PLG_STEPFORM_QUESTION_TITLE +'</h1>'
  + '<h3 class="stepFORM-question">' + stepFORMPlugin.lang.PLG_STEPFORM_QUESTION_1 + '</h3>'
  + '<div class="stepFORM-answer">'
  + '<p>' + stepFORMPlugin.lang.PLG_STEPFORM_DESC_STEP1 + '</p>'
  + '<p><img class="stepFORM-img" src="' + stepFORMPlugin.lang.PLG_STEPFORM_DESC_IMG1 + '"></p>'
  + '<p>' + stepFORMPlugin.lang.PLG_STEPFORM_DESC_STEP2 + '</p>'
  + '<p><img class="stepFORM-img" src="' + stepFORMPlugin.lang.PLG_STEPFORM_DESC_IMG2 + '"></p>'
  + '<p>' + stepFORMPlugin.lang.PLG_STEPFORM_DESC_STEP3 + '</p>'
  + '</div>'
  + '<h3 class="stepFORM-question">' + stepFORMPlugin.lang.PLG_STEPFORM_QUESTION_2 + '</h3>'
  + '<div class="stepFORM-answer">'
  + '<p>' + stepFORMPlugin.lang.PLG_STEPFORM_ANSWER_2
  + ' <a href="https://stepform.io">stepFORM.io</a>' +'</p>'
  + '</div>'
  + '<h3 class="stepFORM-question">' + stepFORMPlugin.lang.PLG_STEPFORM_QUESTION_3 + '</h3>'
  + '<div class="stepFORM-answer">'
  + '<p>' + stepFORMPlugin.lang.PLG_STEPFORM_ANSWER_3 + '</p>'
  + '</div>'
  + '</div>'
  ;
}

if (window.addEventListener) {
  window.addEventListener("message", crossdomainCallback, false);
} else {
  window.attachEvent("onmessage", crossdomainCallback);
}

window.onload = function() {
  /** Добавить кастомный котент */
  var dom = '<div class="u-wrapper"><div class="u-header"></div><div class="u-content"><div class="u-content-wrap"><div id="u-content-text"></div><input type="button" id="stepFORM_get_hash" class="button-primary" onclick="getHash()" value="'+stepFORMPlugin.lang.PLG_STEPFORM_BUTTON_YES+'"><input type="button" id="stepFORM_del_hash" class="button-primary" onclick="delHash()" value="'+stepFORMPlugin.lang.PLG_STEPFORM_BUTTON_NO+'"><iframe id="stepFORM_get_hash_iframe_wp" src="https://stepform.io/dev/integration/load" style="display: none;"></iframe></div></div></div>';
  var labels = document.getElementsByClassName('span9')[0].getElementsByClassName('info-labels')[0];
  labels.outerHTML += dom;

  /** Показать одну из двух кнопок */
  var text = document.getElementById("u-content-text");
  var input = document.getElementById("jform_params_stepFORM_key");
  var hide;
  var html = "";

  if (input.value == "") {
    html = getConnect();
    hide = 'stepFORM_del_hash';
  }
  else {
    html = getInstruction();
    hide = 'stepFORM_get_hash';
  }

  text.innerHTML = html;
  toggleAnswer();
  hideById(hide);
}
